#!/usr/bin/python
import os
from os import system

from run_confuzz import *

def run_3D(TARGET, EMAIL, SEND=1):

    import os
    
    CDIR = '/home/michalp/gd_server/'
    os.chdir(CDIR)#!!!
    
    steps=[]#!!LIFO

    steps.append(('/home/michalp/gd_server/gdistance_FINETUNED.py '+TARGET+' 25 CA 0 1',CDIR))

    run_parallel(steps,1)


    SSPRED_PATH = '/home/michalp/server/'
    FASDIR = '/home/michalp/server/fasta/'

    fas_file = FASDIR+TARGET+'.fas'
    ss_file = SSPRED_PATH+TARGET+'.sspro.ss'
    ex = system('ls '+ss_file+' 1>/dev/null 2>/dev/null')
    if ex > 0:
	###
   	steps = [] 
	###

	print 'Predicting ss for '+fas_file+' using sspro...'

        sspred_cmd = '/home/michalp/3rdparty/sspro/bin/predict_ssa.sh'
        print sspred_cmd+' '+fas_file+' '+ss_file

        ###system(sspred_cmd+' '+fas_file+' '+ss_file)
	steps.append((sspred_cmd+' '+fas_file+' '+ss_file,CDIR))
	run_parallel(steps,1)
	###

    steps = []

    steps.append(('/home/michalp/gd_server/modeller/gdrest_ss_BETAsx.py '+TARGET+' 11 CA 1',CDIR))
    
    steps.append(('/home/michalp/gd_server/modeller/gdrest_ss_BETAsx.py '+TARGET+' 11 CA 0',CDIR))
    
    cores = 2 
 
    run_parallel(steps,cores)

    steps = []

    if SEND==1:
        steps.append(('/home/michalp/gd_server/send_model.py '+TARGET+' '+EMAIL,CDIR))

    steps.append(('/home/michalp/gd_server/modeller/gdrest_ss_BETAsx.py '+TARGET+' 01 CA None',CDIR))
    
    steps.append(('/home/michalp/gd_server/refiner/refiner_BURIALMODE.py '+TARGET  ,CDIR))

    run_parallel(steps,1)
    
    return True

if __name__ == '__main__':
    
    import sys
    
    TARGET = sys.argv[1]
    EMAIL = sys.argv[2]
    if len(sys.argv) == 3:
        BOOL_SEND = 1
    else:
        BOOL_SEND = sys.argv[3]
    run_3D(TARGET,EMAIL,BOOL_SEND)
