from sys import argv
import os

###################################################################################
#LOAD = 0 - all files
#load = I - files of the list split into separate sub-lists for multiple cores
#running: run.py I
# or:     run.py I 1
# where I - i=th core of run
# place 1 after core ID for dryrun (no running server, only copying input files)
#files for separate cores: file.1.lst, file.2.lst etc.
###################################################################################

LOAD = int(argv[1])
if LOAD > 0:
	i = str(LOAD)
	flist = 'multi46.'+i+'.lst'
	DRYRUN = False
else:
	flist = 'multi46.lst'
	DRYRUN = False 
if len(argv) > 2:
	DRYRUN = int(argv[2])

#place Your email here
EMAIL = 'email@example.com'

ff = open(flist,'r')
code = ff.readline()[:-1]
while code != '':
	TARGET = code
	CASPTARGET = TARGET[:5]
	NEWTARGET = 'XX'+CASPTARGET##change XX to any job-specific code
	#copying original 2d maps
	os.system('cp /home/michalp/server/2dmaps/'+TARGET+'.confuzz.casp.protmap.txt /home/michalp/server/SENT/'+NEWTARGET+'.confuzz.casp.protmap.txt')
	#copying original sequences
	os.system('cp /home/michalp/server/fasta/'+CASPTARGET+'.fas /home/michalp/server/fasta/'+NEWTARGET+'.fas')
	#copying sspro predictions - to speed up computations
	os.system('cp /home/michalp/server/ss_sspro/'+CASPTARGET+'.sspro.ss /home/michalp/server/'+NEWTARGET+'.sspro.ss')
	if DRYRUN == False:
		#please note the logging option
		os.system('/home/michalp/gd_server/RUN3D.py '+NEWTARGET+' '+EMAIL+' 1>>XX_'+NEWTARGET+'.logfile 2>>XX_'+NEWTARGET+'.logfile')
	code = ff.readline()[:-1]
	print CASPTARGET,
	if DRYRUN:
		print 'dryrun'
	else:
		print

